package com.hfkj.dao;

import com.hfkj.entity.BsOrderMeituan;
import com.hfkj.entity.BsOrderMeituanExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface BsOrderMeituanMapper extends BsOrderMeituanMapperExt {
    @SelectProvider(type=BsOrderMeituanSqlProvider.class, method="countByExample")
    long countByExample(BsOrderMeituanExample example);

    @DeleteProvider(type=BsOrderMeituanSqlProvider.class, method="deleteByExample")
    int deleteByExample(BsOrderMeituanExample example);

    @Delete({
        "delete from bs_order_meituan",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into bs_order_meituan (order_no, child_order_no, ",
        "trade_no, sqt_biz_order_id
sqt_biz_order_id, ",
        "mer_id, mer_name, user_id, ",
        "user_phone, first_business_type, ",
        "second_business_type, ent_id, ",
        "img, goods_name, ",
        "trace_id, goods_count, ",
        "total_price, total_deduction_price, ",
        "coupon_discount_price, integral_discount_price, ",
        "platform_code, pay_real_price, ",
        "ent_pay_amount, business_discount_pay_amount, ",
        "service_fee_amount, pay_channel, ",
        "pay_serial_no, pay_type, ",
        "`status`, meituan_status, ",
        "staff_info, business_info, ",
        "trade_expiring_time, create_time, ",
        "pay_time, cancel_time, ",
        "refund_time, finish_time, ",
        "update_time, exception_status, ",
        "exception_msg, ext_1, ",
        "ext_2, ext_3)",
        "values (#{orderNo,jdbcType=VARCHAR}, #{childOrderNo,jdbcType=VARCHAR}, ",
        "#{tradeNo,jdbcType=VARCHAR}, #{sqtBizOrderId
sqtBizOrderId,jdbcType=VARCHAR}, ",
        "#{merId,jdbcType=BIGINT}, #{merName,jdbcType=VARCHAR}, #{userId,jdbcType=BIGINT}, ",
        "#{userPhone,jdbcType=VARCHAR}, #{firstBusinessType,jdbcType=VARCHAR}, ",
        "#{secondBusinessType,jdbcType=VARCHAR}, #{entId,jdbcType=BIGINT}, ",
        "#{img,jdbcType=VARCHAR}, #{goodsName,jdbcType=VARCHAR}, ",
        "#{traceId,jdbcType=VARCHAR}, #{goodsCount,jdbcType=INTEGER}, ",
        "#{totalPrice,jdbcType=DECIMAL}, #{totalDeductionPrice,jdbcType=DECIMAL}, ",
        "#{couponDiscountPrice,jdbcType=DECIMAL}, #{integralDiscountPrice,jdbcType=DECIMAL}, ",
        "#{platformCode,jdbcType=VARCHAR}, #{payRealPrice,jdbcType=DECIMAL}, ",
        "#{entPayAmount,jdbcType=DECIMAL}, #{businessDiscountPayAmount,jdbcType=DECIMAL}, ",
        "#{serviceFeeAmount,jdbcType=DECIMAL}, #{payChannel,jdbcType=INTEGER}, ",
        "#{paySerialNo,jdbcType=VARCHAR}, #{payType,jdbcType=INTEGER}, ",
        "#{status,jdbcType=INTEGER}, #{meituanStatus,jdbcType=INTEGER}, ",
        "#{staffInfo,jdbcType=VARCHAR}, #{businessInfo,jdbcType=VARCHAR}, ",
        "#{tradeExpiringTime,jdbcType=TIMESTAMP}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{payTime,jdbcType=TIMESTAMP}, #{cancelTime,jdbcType=TIMESTAMP}, ",
        "#{refundTime,jdbcType=TIMESTAMP}, #{finishTime,jdbcType=TIMESTAMP}, ",
        "#{updateTime,jdbcType=TIMESTAMP}, #{exceptionStatus,jdbcType=BIT}, ",
        "#{exceptionMsg,jdbcType=VARCHAR}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(BsOrderMeituan record);

    @InsertProvider(type=BsOrderMeituanSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(BsOrderMeituan record);

    @SelectProvider(type=BsOrderMeituanSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="child_order_no", property="childOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="trade_no", property="tradeNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="sqt_biz_order_id
sqt_biz_order_id", property="sqtBizOrderId
sqtBizOrderId", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_name", property="merName", jdbcType=JdbcType.VARCHAR),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_phone", property="userPhone", jdbcType=JdbcType.VARCHAR),
        @Result(column="first_business_type", property="firstBusinessType", jdbcType=JdbcType.VARCHAR),
        @Result(column="second_business_type", property="secondBusinessType", jdbcType=JdbcType.VARCHAR),
        @Result(column="ent_id", property="entId", jdbcType=JdbcType.BIGINT),
        @Result(column="img", property="img", jdbcType=JdbcType.VARCHAR),
        @Result(column="goods_name", property="goodsName", jdbcType=JdbcType.VARCHAR),
        @Result(column="trace_id", property="traceId", jdbcType=JdbcType.VARCHAR),
        @Result(column="goods_count", property="goodsCount", jdbcType=JdbcType.INTEGER),
        @Result(column="total_price", property="totalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="total_deduction_price", property="totalDeductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="coupon_discount_price", property="couponDiscountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="integral_discount_price", property="integralDiscountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="platform_code", property="platformCode", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_real_price", property="payRealPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="ent_pay_amount", property="entPayAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="business_discount_pay_amount", property="businessDiscountPayAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="service_fee_amount", property="serviceFeeAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_channel", property="payChannel", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_serial_no", property="paySerialNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_type", property="payType", jdbcType=JdbcType.INTEGER),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="meituan_status", property="meituanStatus", jdbcType=JdbcType.INTEGER),
        @Result(column="staff_info", property="staffInfo", jdbcType=JdbcType.VARCHAR),
        @Result(column="business_info", property="businessInfo", jdbcType=JdbcType.VARCHAR),
        @Result(column="trade_expiring_time", property="tradeExpiringTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="cancel_time", property="cancelTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="finish_time", property="finishTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="exception_status", property="exceptionStatus", jdbcType=JdbcType.BIT),
        @Result(column="exception_msg", property="exceptionMsg", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<BsOrderMeituan> selectByExample(BsOrderMeituanExample example);

    @Select({
        "select",
        "id, order_no, child_order_no, trade_no, sqt_biz_order_id
sqt_biz_order_id, mer_id, ",
        "mer_name, user_id, user_phone, first_business_type, second_business_type, ent_id, ",
        "img, goods_name, trace_id, goods_count, total_price, total_deduction_price, ",
        "coupon_discount_price, integral_discount_price, platform_code, pay_real_price, ",
        "ent_pay_amount, business_discount_pay_amount, service_fee_amount, pay_channel, ",
        "pay_serial_no, pay_type, `status`, meituan_status, staff_info, business_info, ",
        "trade_expiring_time, create_time, pay_time, cancel_time, refund_time, finish_time, ",
        "update_time, exception_status, exception_msg, ext_1, ext_2, ext_3",
        "from bs_order_meituan",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="order_no", property="orderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="child_order_no", property="childOrderNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="trade_no", property="tradeNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="sqt_biz_order_id
sqt_biz_order_id", property="sqtBizOrderId
sqtBizOrderId", jdbcType=JdbcType.VARCHAR),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_name", property="merName", jdbcType=JdbcType.VARCHAR),
        @Result(column="user_id", property="userId", jdbcType=JdbcType.BIGINT),
        @Result(column="user_phone", property="userPhone", jdbcType=JdbcType.VARCHAR),
        @Result(column="first_business_type", property="firstBusinessType", jdbcType=JdbcType.VARCHAR),
        @Result(column="second_business_type", property="secondBusinessType", jdbcType=JdbcType.VARCHAR),
        @Result(column="ent_id", property="entId", jdbcType=JdbcType.BIGINT),
        @Result(column="img", property="img", jdbcType=JdbcType.VARCHAR),
        @Result(column="goods_name", property="goodsName", jdbcType=JdbcType.VARCHAR),
        @Result(column="trace_id", property="traceId", jdbcType=JdbcType.VARCHAR),
        @Result(column="goods_count", property="goodsCount", jdbcType=JdbcType.INTEGER),
        @Result(column="total_price", property="totalPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="total_deduction_price", property="totalDeductionPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="coupon_discount_price", property="couponDiscountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="integral_discount_price", property="integralDiscountPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="platform_code", property="platformCode", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_real_price", property="payRealPrice", jdbcType=JdbcType.DECIMAL),
        @Result(column="ent_pay_amount", property="entPayAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="business_discount_pay_amount", property="businessDiscountPayAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="service_fee_amount", property="serviceFeeAmount", jdbcType=JdbcType.DECIMAL),
        @Result(column="pay_channel", property="payChannel", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_serial_no", property="paySerialNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_type", property="payType", jdbcType=JdbcType.INTEGER),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="meituan_status", property="meituanStatus", jdbcType=JdbcType.INTEGER),
        @Result(column="staff_info", property="staffInfo", jdbcType=JdbcType.VARCHAR),
        @Result(column="business_info", property="businessInfo", jdbcType=JdbcType.VARCHAR),
        @Result(column="trade_expiring_time", property="tradeExpiringTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="pay_time", property="payTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="cancel_time", property="cancelTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="refund_time", property="refundTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="finish_time", property="finishTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="exception_status", property="exceptionStatus", jdbcType=JdbcType.BIT),
        @Result(column="exception_msg", property="exceptionMsg", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    BsOrderMeituan selectByPrimaryKey(Long id);

    @UpdateProvider(type=BsOrderMeituanSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") BsOrderMeituan record, @Param("example") BsOrderMeituanExample example);

    @UpdateProvider(type=BsOrderMeituanSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") BsOrderMeituan record, @Param("example") BsOrderMeituanExample example);

    @UpdateProvider(type=BsOrderMeituanSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(BsOrderMeituan record);

    @Update({
        "update bs_order_meituan",
        "set order_no = #{orderNo,jdbcType=VARCHAR},",
          "child_order_no = #{childOrderNo,jdbcType=VARCHAR},",
          "trade_no = #{tradeNo,jdbcType=VARCHAR},",
          "sqt_biz_order_id
sqt_biz_order_id = #{sqtBizOrderId
sqtBizOrderId,jdbcType=VARCHAR},",
          "mer_id = #{merId,jdbcType=BIGINT},",
          "mer_name = #{merName,jdbcType=VARCHAR},",
          "user_id = #{userId,jdbcType=BIGINT},",
          "user_phone = #{userPhone,jdbcType=VARCHAR},",
          "first_business_type = #{firstBusinessType,jdbcType=VARCHAR},",
          "second_business_type = #{secondBusinessType,jdbcType=VARCHAR},",
          "ent_id = #{entId,jdbcType=BIGINT},",
          "img = #{img,jdbcType=VARCHAR},",
          "goods_name = #{goodsName,jdbcType=VARCHAR},",
          "trace_id = #{traceId,jdbcType=VARCHAR},",
          "goods_count = #{goodsCount,jdbcType=INTEGER},",
          "total_price = #{totalPrice,jdbcType=DECIMAL},",
          "total_deduction_price = #{totalDeductionPrice,jdbcType=DECIMAL},",
          "coupon_discount_price = #{couponDiscountPrice,jdbcType=DECIMAL},",
          "integral_discount_price = #{integralDiscountPrice,jdbcType=DECIMAL},",
          "platform_code = #{platformCode,jdbcType=VARCHAR},",
          "pay_real_price = #{payRealPrice,jdbcType=DECIMAL},",
          "ent_pay_amount = #{entPayAmount,jdbcType=DECIMAL},",
          "business_discount_pay_amount = #{businessDiscountPayAmount,jdbcType=DECIMAL},",
          "service_fee_amount = #{serviceFeeAmount,jdbcType=DECIMAL},",
          "pay_channel = #{payChannel,jdbcType=INTEGER},",
          "pay_serial_no = #{paySerialNo,jdbcType=VARCHAR},",
          "pay_type = #{payType,jdbcType=INTEGER},",
          "`status` = #{status,jdbcType=INTEGER},",
          "meituan_status = #{meituanStatus,jdbcType=INTEGER},",
          "staff_info = #{staffInfo,jdbcType=VARCHAR},",
          "business_info = #{businessInfo,jdbcType=VARCHAR},",
          "trade_expiring_time = #{tradeExpiringTime,jdbcType=TIMESTAMP},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "pay_time = #{payTime,jdbcType=TIMESTAMP},",
          "cancel_time = #{cancelTime,jdbcType=TIMESTAMP},",
          "refund_time = #{refundTime,jdbcType=TIMESTAMP},",
          "finish_time = #{finishTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "exception_status = #{exceptionStatus,jdbcType=BIT},",
          "exception_msg = #{exceptionMsg,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(BsOrderMeituan record);
}